using System.Collections.Generic;
using Store.BusinessLogic.Model;
using System;

namespace Store.BusinessLogic.Managers
{
    public interface IOrderManager : IDisposable
    {
        IList<Order> List(int page, int pageSize = 10);

        IList<Order> ListByCustomer(Customer customer, int page, int pageSize = 10);

        IList<Order> ListUnprocessed(int page, int pageSize = 10);

        int Count();

        int CountByCustomer(Customer customer);

        int CountUnprocessed();

        Order Get(int key);

        Order PlaceOrder(Customer customer, Product product, short quantity);

        bool CancelOrder(Order order);

        void ProcessOrders();
    }

    public enum CreateOrderResult
    {
        Success,
        ExceedsStock
    }
}