﻿using System;
using Store.BusinessLogic.Model;
using System.Collections.Generic;

namespace Store.BusinessLogic.Managers
{
    public enum ProductSortOrder
    {
        NameAscending,
        NameDescending,
        PriceAscending,
        PriceDescending
    }

    public interface IProductManager : IDisposable
    {
        IEnumerable<Product> List();

        IEnumerable<Product> List(ProductSortOrder sortBy, int page, int pageSize = 10);

        IEnumerable<Product> List(string nameFilter, ProductSortOrder sortBy, int page, int pageSize = 10);

        int Count();

        int Count(string nameFilter);

        Product Get(int key);

        Product Create(Product product);

        Product Create(string name, decimal price, short unitsInStock);

        void Update(Product product);

        void Delete(Product product);

        void Delete(int key);
    }
}
