﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;

namespace Store.BusinessLogic.Model
{
    [MetadataType(typeof(OrderMetadata))]
    partial class Order
    {
        class OrderMetadata
        {
            [Display(Name="Is Processed", ShortName="Processed?")]
            public bool IsProcessed { get; set; }

            [Display(Name="Date Created", ShortName="Created")]
            public DateTime DateCreated { get; set; }
        }
    }

    [MetadataType(typeof(ProductMetadata))]
    partial class Product
    {
        class ProductMetadata
        {
            [Display(Name = "Unit in Stock", ShortName = "In Stock")]
            [Range(0, ushort.MaxValue)]
            public short UnitsInStock { get; set; }

            public decimal Price { get; set; }
        }
    }
}
