﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Store.BusinessLogic.Managers;
using Store.Web.Models;

namespace Store.Web.Controllers
{
    public class PreloadDataController : Controller
    {
        //
        // GET: /PreloadData/

        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Index(FormCollection data)
        {
            try
            {
                using (StoreUnitOfWork context = new StoreUnitOfWork())
                {
                    context.ProductManager.Create("Kočka", 20, 12);
                    context.ProductManager.Create("Kočkopes", 30, 5);
                    context.ProductManager.Create("Myš", 10, 100);
                    context.ProductManager.Create("Veverka", 23, 4);
                    context.ProductManager.Create("Slon", 123, 12);
                    context.ProductManager.Create("Kočkopes s příznakem", 12, 1);
                    context.ProductManager.Create("Kočkopes bez příznaku", 2, 7);
                    context.ProductManager.Create("Pes", 2, 6);

                    context.Save();
                }

                using (CustomerMembershipFacade facade = new CustomerMembershipFacade(new AccountMembershipService()))
                {
                    facade.Register("Veverka", "veverka", "veverka@veverka.com", "Veverka Zrzavá");
                    facade.Register("Slon", "slon", "slon@slon.com", "Slon Africký");

                    facade.Save();
                }

                ViewBag.Message = "Product were created.";
            }
            catch
            {
                ViewBag.Message = "Error occured.";
            }

            return View();
        }

    }
}
