﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Store.BusinessLogic.Model;

namespace Store.Web.Models
{
    public class Pager
    {
        private int currentPage;

        public int CurrentPage
        {
            get { return currentPage; }
            set
            {
                if (value < 1)
                {
                    currentPage = 1;
                }
                else if (value > TotalPages)
                {
                    currentPage = TotalPages;
                }
                else
                {
                    currentPage = value;
                }

            }
        }

        public int TotalResults { get; set; }

        public int PageSize { get; set; }


        public int TotalPages
        {
            get { return Math.Max(1, (int)Math.Ceiling(TotalResults / (float)PageSize)); }
        }

        public bool HasNext
        {
            get { return CurrentPage < TotalPages; }
        }

        public bool HasPrevious
        {
            get { return CurrentPage > 1; }
        }


        public Pager(int totalResults, int currentPage, int pageSize)
        {
            TotalResults = totalResults;
            PageSize = pageSize;
            CurrentPage = currentPage;
        }
    }

    public class PagedListModel<TEntity>
    {
        public IEnumerable<TEntity> Products { get; set; }

        public Pager Pager { get; set; }
    }
}